﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{8549C42E-EB35-4148-BE66-45DBAF46D2BC}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>LASManager</RootNamespace>
    <AssemblyName>LASManager</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CProcessPulseImage.cs" />
    <Compile Include="FormBaseLASManager.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormLASManager.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormLASManager.Designer.cs">
      <DependentUpon>FormLASManager.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="FormLASManager.resx">
      <DependentUpon>FormLASManager.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Basic\Programdata\Programdata.csproj">
      <Project>{B8510D21-1897-4687-AEE8-4CE176C63F87}</Project>
      <Name>Programdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\CommandProtocol\CommandProtocol\CommandProtocol.csproj">
      <Project>{CDA1E8D6-27A8-4246-9736-71DBED05ECE8}</Project>
      <Name>CommandProtocol</Name>
    </ProjectReference>
    <ProjectReference Include="..\CommandProtocol\CPLaserAreaScanner\CPLaserAreaScanner.csproj">
      <Project>{D3D0017C-61F2-491A-B7BB-0239121222E2}</Project>
      <Name>CPLaserAreaScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\Device\LaserScanner\LaserScanner.csproj">
      <Project>{26075584-1f18-465e-9ed2-266481216846}</Project>
      <Name>LaserScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\Task\Task.csproj">
      <Project>{4F2721D7-9490-4C24-A180-138943F215A3}</Project>
      <Name>Task</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\TextFile\TextFile.csproj">
      <Project>{ED877FF6-BED0-4D46-A533-A2CA747FB86C}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Uart\Uart\Uart.csproj">
      <Project>{91357433-DDB9-4801-880D-6CBCCEA8A030}</Project>
      <Name>Uart</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{2C1BC3B8-2DBE-4957-9798-533CE49D4330}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCSerialNumber\UCSerialNumber.csproj">
      <Project>{4E5C356C-90B5-4336-A053-DF9BB8EF138C}</Project>
      <Name>UCSerialNumber</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCTextEditor\UCTextEditor.csproj">
      <Project>{5418741E-45FB-4C00-A692-25B5A2C35777}</Project>
      <Name>UCTextEditor</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCDevice\UCLaserAreaScanner\UCLaserAreaScanner.csproj">
      <Project>{1dff7e2f-54df-444d-aab8-4f69f57e10bf}</Project>
      <Name>UCLaserAreaScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCHelper\UCMultiColorText\UCMultiColorText.csproj">
      <Project>{09AB201A-520E-4A98-A5DC-FC7BED38B79B}</Project>
      <Name>UCMultiColorText</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCUart\UCUartOpenClose\UCUartOpenClose.csproj">
      <Project>{9CD39C6E-18B1-43A9-9DE3-03C33DB61C91}</Project>
      <Name>UCUartOpenClose</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCUart\UCUartTerminal\UCUartTerminal.csproj">
      <Project>{E05D92A0-DA62-4A71-A5E1-9181B988623E}</Project>
      <Name>UCUartTerminal</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>